#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Mutter-47.5

- Next

  gnome-shell-extensions-47.4

- Up
- Home

# gnome-shell-47.4

## Introduction to GNOME Shell

The GNOME Shell is the core user interface of the GNOME Desktop environment.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-shell/47/gnome-shell-47.4.tar.xz

- Download MD5 sum: d6d7e371c2eef21ffc55f1259fbaecba

- Download size: 2.0 MB

- Estimated disk space required: 57 MB (with tests)

- Estimated build time: 0.1 SBU (Using parallelism=4; with tests)

### GNOME Shell Dependencies

#### Required

evolution-data-server-3.54.3, Gcr-4.3.1, Gjs-1.82.1, gnome-desktop-44.1, ibus-1.5.31, Mutter-47.5, Polkit-126, and startup-notification-0.12

#### Recommended

desktop-file-utils-0.28, gnome-autoar-0.4.5, gnome-bluetooth-47.1, gst-plugins-base-1.24.12, NetworkManager-1.50.0, and power-profiles-daemon-0.30

#### Optional

GTK-Doc-1.34.0 and bash-completion

#### Required Runtime Dependencies

adwaita-icon-theme-47.0, DConf-0.40.0, elogind-255.17, GDM-47.0, gnome-control-center-47.4, and libgweather-4.4.4

#### Recommended Runtime Dependencies

blocaled-0.7 and gnome-menus-3.36.0

## Installation of GNOME Shell

Install GNOME Shell by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D systemd=false    \
                -D tests=false      \
                ..                  &&
    ninja

To run the tests, ensure Mutter is installed after running its test suite, and issue: meson configure -D tests=true && ninja test. You must be running an X session to run the tests. Some will fail if GDM-47.0 is not installed. Several more tests may fail in the Sysv environment. One test named `CSS styling support` is known to fail with some multi-monitor configurations.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D systemd=false`: Prevents installing systemd files, which are not needed in this version of BLFS.

`-D extensions_tool=false`: This switch allows building this package without gnome-autoar-0.4.5 installed.

## Contents

Installed Programs: gnome-extensions, gnome-extensions-app, gnome-shell, gnome-shell-extension-prefs, gnome-shell-extension-tool, and gnome-shell-test-tool
Installed Libraries: None
Installed Directories: /usr/lib/gnome-shell, /usr/share/gnome-shell, /usr/share/gtk-doc/html/{shell,st} (optional), and /usr/share/xdg-desktop-portal/

### Short Descriptions

gnome-shell | provides the core user interface functions for the GNOME Desktop

- Prev

  Mutter-47.5

- Next

  gnome-shell-extensions-47.4

- Up
- Home